
class PageId {
    constructor() {
        this.CULLING = "CULLING";
        this.RANKING = "RANKING";
        this.DISCOVER = "DISCOVER";
        this.PRODUCT = "PRODUCT";
        this.TO_EARN = "TO_EARN";
        this.MINE = "MINE";
        this.COLLECT = "COLLECT";
        this.MESSAGE = "MESSAGE";
        this.ONE = "ONE";
        this.INVITE = "INVITE";
        this.EXCHANGE = "EXCHANGE";
        this.WITHDRAWAL = "WITHDRAWAL";
        this.GUESS_LIKE = "GUESS_LIKE";
        this.LIKE_SETTING = "LIKE_SETTING";
        this.NOVICE_RED = "NOVICE_RED";
        this.PRODUCT_GAME = "PRODUCT_GAME";
        this.DYNAMIC = "DYNAMIC";
        this.MORE_SIGN = "MORE_SIGN";
        this.LOOK_LOOK_EARN = "LOOK_LOOK_EARN";
        this.NODES_DAILY_TASK = "NODES_DAILY_TASK";
        this.HOUR_CLOCKIN = "HOUR_CLOCKIN";
        this.MILLION_JACKPOT = "MILLION_JACKPOT";
    }

    addPageChangeTimes () {
        console.log("WzLogin  addPageChangeTimes");
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzEntryJSBridge', 'addPageChangeTimes', '()V');
        } catch (error) {
        }
    }
}

class WzFloat {
    constructor() {
        console.log("WzFloat constructor ===");
        this.ENTRANCE = 0;
        this.GOLD_EXCHANGE = 1;
        this.WITHDRAWAL = 2;
        this.RED = 3;
        this.INVITE = 4;
        this.EARN = 5;
        this.NEW = 6;
        this.ONE = 7;
    }
    /**
     * @description 展示悬浮球
     * @param {*} type 悬浮球类型
     * @return {*}
     */
    showFloat (type) {
        console.log("WzFloat  showFloat");
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzEntryJSBridge', 'showFloat', '(I)V', type);
        } catch (error) {
        }
    }
    /**
     * @description 移除悬浮球
     * @param {*} type 悬浮球类型
     * @return {*}
     */
    removeFloat (type) {
        console.log("WzFloat  removeFloat");
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzEntryJSBridge', 'removeFloat', '(I)V', type);
        } catch (error) {
        }
    }

    /**
     * @description 设置悬浮球位置
     * @param {*} type 悬浮球类型
     * @param {*} x 横坐标
     * @param {*} y 纵坐标
     * @return {*}
     */
    setFloatPosition (type,x , y) {
        console.log("WzFloat  setFloatPosition");
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzEntryJSBridge', 'setFloatPosition', '(III)V', type, x, y);
        } catch (error) {
        }
    }
}

class WzLogin {
    constructor() {
        console.log("WzLogin constructor ===");
        this.success = null;
        this.fail = null;
        this.setListener();
    }
    setListener () {
        const callback = {
            LoginCallbackSuccess: "wz.login.LoginSuccess",
            LoginCallbackFail: "wz.login.LoginFail",
        };
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzLoginJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }
    clearListener () {
        this.success = null;
        this.fail = null;
    }

    /**
     * @description 登录
     * @param {*} type 类型
     * @return {*}
     */
    login (success, fail) {
        console.log("WzLogin  login start");
        this.success = success;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzLoginJSBridge', 'login', '()V');
        } catch (error) {
        }
    }

    LoginSuccess (userId) {
        console.log("WzLogin  LoginSuccess  userId:", userId);
        this.success && this.success(userId);
        this.clearListener();
    }

    LoginFail (error) {
        console.log("WzLogin  LoginFail  error:", error);
        this.fail && this.fail(error);
        this.clearListener();
    }
}

class WzRed {
    constructor() {
        console.log("WzRed constructor");
        this.STYLE_GENERAL = 0;
        this.STYLE_PASS = 1;
        this.STYLE_DEFEAT = 2;
        this.STYLE_SURPRISE = 4;
        this.success = null;
        this.fail = null;
        this.skip = null;
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        this.infoSucc = null;
        this.infoFail = null;
        this.rewardSucc = null;
        this.rewardFail = null;
        this.setListener();
    }
    setListener () {
        const callback = {
            TaskBonusCallbackSuccess: "wz.red.TaskBonusSuccess",
            TaskBonusCallbackFail: "wz.red.TaskBonusFail",
            TaskBonusCallbackSkip: "wz.red.TaskBonusSkip",

            AuthRealNameCallBackSuccess: "wz.red.AuthRealNameCallBackSuccess",
            AuthRealNameCallBackFail: "wz.red.AuthRealNameCallBackFail",
            AuthRealNameCallBackSkip: "wz.red.AuthRealNameCallBackSkip",

            BonusInfoCallbackSuccess: "wz.red.BonusInfoSuccess",
            BonusInfoCallbackFail: "wz.red.BonusInfoFail",

            GrantBonusCallbackSuccess: "wz.red.GrantBonusSuccess",
            GrantBonusCallbackFail: "wz.red.GrantBonusFail",
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzBonusJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }

    clearListener () {
        this.success = null;
        this.fail = null;
        this.skip = null;
    }

    showTaskBonus (style,sceneKey, sceneValue, success, skip, fail) {
        console.log("WzRed  showTaskBonus");
        this.success = success;
        this.skip = skip;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzBonusJSBridge', 'showTaskBonus', '(ILjava/lang/String;)V', style , sceneKey + "#" + sceneValue);
        } catch (error) {
        }
    }

    showRealNameDialog (success, skip, fail) {
            console.log("WzRed  showRealNameDialog");
            this.realNameSuccess = success;
            this.realNameFail = fail;
            this.realNameSkip = skip;
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDialogJSBridge', 'showRealNameDialog', '()V');
            } catch (error) {
                console.log("WzRed  showRealNameDialog --->error"+error.msg());
            }
        }


    AuthRealNameCallBackSuccess () {
        this.realNameSuccess && this.realNameSuccess();
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzRed  AuthRealNameCallBackSuccess  success");
    }

    AuthRealNameCallBackFail (error) {
        this.realNameFail && this.realNameFail(error);
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzRed  AuthRealNameCallBackFail  error:", error);
    }

    AuthRealNameCallBackSkip () {
        this.realNameSkip && this.realNameSkip();
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzRed  AuthRealNameCallBackSkip  skip");
    }

    showTaskBonusNoCd (style,sceneKey, sceneValue, success, skip, fail) {
        console.log("WzRed  showTaskBonusNoCd");
        this.success = success;
        this.skip = skip;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzBonusJSBridge', 'showTaskBonusNoCd', '(ILjava/lang/String;)V', style , sceneKey + "#" + sceneValue);
        } catch (error) {
        }
    }

    TaskBonusSuccess () {
        console.log("WzRed  TaskBonusSuccess  success");
        this.success && this.success();
        this.clearListener();
    }
    TaskBonusFail (error) {
        console.log("WzRed  TaskBonusFail  error:", error);
        this.fail && this.fail(error);
        this.clearListener();
    }
    TaskBonusSkip () {
        console.log("WzRed  TaskBonusSkip  skip");
        this.skip && this.skip();
        this.clearListener();
    }




    getBonusInfo (sceneKey, sceneValue, success, fail) {
        console.log("WzRed  getRewardInfo");
        this.infoSucc = success;
        this.infoFail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzBonusJSBridge', 'getBonusInfo', '(Ljava/lang/String;)V', sceneKey + "#" + sceneValue);
        } catch (error) {
        }
    }
    BonusInfoSuccess (info) {
        console.log("WzRed  BonusInfoSuccess  rewardInfo ===>" + JSON.stringify(info));
        this.infoSucc && this.infoSucc(info);
        this.infoSucc = null;
        this.infoFail = null;
    }

    BonusInfoFail (error) {
        console.log("WzRed  BonusInfoFail  error ===>" + error);
        this.infoSucc && this.infoSucc(info);
        this.infoSucc = null;
        this.infoFail = null;
    }


    getBonus (rewardSign, success, fail) {
        console.log("WzRed  getReward");
        this.rewardSucc = success;
        this.rewardFail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzBonusJSBridge', 'getGrantReward', '(Ljava/lang/String;)V', rewardSign);
        } catch (error) {
        }
    }

    GrantBonusSuccess (data) {
        console.log("WzRed  GrantBonusSuccess  data ===>" + JSON.stringify(data));
        this.rewardSucc && this.rewardSucc(data.currencyType, data.rewardAmount);
        this.rewardSucc = null;
        this.rewardFail = null;
    }

    GrantBonusFail (data) {
        console.log("WzRed  GrantBonusFail  error ===>" + error);
        this.rewardFail && this.rewardFail(data);
        this.rewardSucc = null;
        this.rewardFail = null;
    }
}

class WzDialog {

    constructor() {
        console.log("WzDialog constructor");
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        this.onDialogDismiss = null;
        this.onNoNotice = null;
        this.setListener();
    }
    setListener () {
        const callback = {

            AuthRealNameCallBackSuccess: "wz.dialog.AuthRealNameCallBackSuccess",
            AuthRealNameCallBackFail: "wz.dialog.AuthRealNameCallBackFail",
            AuthRealNameCallBackSkip: "wz.dialog.AuthRealNameCallBackSkip",

            onDialogDismiss: "wz.dialog.onDialogDismiss",
            onNoNotice: "wz.dialog.onNoNotice",
            onRewardLimit: "wz.dialog.onRewardLimit",
            showDialogFail: "wz.dialog.showDialogFail",
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDialogJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }

    clearListener () {
        this.onDialogDismiss = null;
        this.onNoNotice = null;
        this.onRewardLimit = null;
        this.showDialogFail = null;
    }

    showRealNameDialog (success, skip, fail) {
        console.log("WzDialog  showRealNameDialog");
        this.realNameSuccess = success;
        this.realNameFail = fail;
        this.realNameSkip = skip;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDialogJSBridge', 'showRealNameDialog', '()V');
        } catch (error) {
            console.log("WzDialog  showRealNameDialog --->error"+error.msg());
        }
    }


    AuthRealNameCallBackSuccess () {
        this.realNameSuccess && this.realNameSuccess();
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzDialog  AuthRealNameCallBackSuccess  success");
    }

    AuthRealNameCallBackFail (error) {
        this.realNameFail && this.realNameFail(error);
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzDialog  AuthRealNameCallBackFail  error:", error);
    }

    AuthRealNameCallBackSkip () {
        this.realNameSkip && this.realNameSkip();
        this.realNameSuccess = null;
        this.realNameFail = null;
        this.realNameSkip = null;
        console.log("WzDialog  AuthRealNameCallBackSkip  skip");
    }

    showSplashNotice (onDialogDismiss, onNoNotice) {
        console.log("WzDialog  showSplashNotice");
        this.onDialogDismiss = onDialogDismiss;
        this.onNoNotice = onNoNotice;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDialogJSBridge', 'showSplashNotice', '()V');
        } catch (error) {
            console.log("WzDialog  showSplashNotice --->error"+error.msg());
        }
    }

    onDialogDismiss () {
        this.onDialogDismiss && this.onDialogDismiss();
        this.clearListener();
        console.log("WzDialog  onDialogDismiss");
    }

    onNoNotice () {
        this.onNoNotice && this.onNoNotice();
        console.log("WzDialog  onNoNotice");
    }

    showRewardNotice (sceneKey, sceneValue, onDialogDismiss, onRewardLimit, showDialogFail) {
        console.log("WzDialog  showRewardNotice");
        this.onDialogDismiss = onDialogDismiss;
        this.onRewardLimit = onRewardLimit;
        this.showDialogFail = showDialogFail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDialogJSBridge', 'showRewardNotice', '(Ljava/lang/String;)V', sceneKey + "#" + sceneValue);
        } catch (error) {
            console.log("WzDialog  showRewardNotice --->error"+error.msg());
        }
    }

    onDialogDismiss () {
        this.onDialogDismiss && this.onDialogDismiss();
        this.clearListener();
        console.log("WzDialog  onDialogDismiss");
    }

    onRewardLimit () {
        this.onRewardLimit && this.onRewardLimit();
        console.log("WzDialog  onRewardLimit");
    }

    showDialogFail () {
        this.showDialogFail && this.showDialogFail();
        console.log("WzDialog  showDialogFail");
    }
}

class WzUser {
    constructor() {
        console.log("WzUser  constructor");
        this.success = null;
        this.fail = null;
        this.setListener();
    }

    setListener () {
        const callback = {
            UserInfoCallbackSuccess: "wz.user.UserInfoSuccess",
            UserInfoCallbackFail: "wz.user.UserInfoFail"
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzUserJSBridge', 'setUserListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }

    clearListener () {
        this.success = null;
        this.fail = null;
    }

    getUserInfo (success, fail) {
        console.log("WzUser  getUserInfo start");
        this.success = success;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzUserJSBridge', 'getUserInfo', '()V');
        } catch (error) {
        }
    }

    UserInfoSuccess (userinfo) {
        console.log("WzUser  UserInfoSuccess ");
        this.success && this.success(userinfo);
        this.clearListener();
    }

    UserInfoFail (error) {
        console.log("WzUser  UserInfoFail  error:", error);
        this.fail && this.fail(error);
        this.clearListener();
    }
}

class WzGold {
    constructor() {
        console.log("WzGold constructor");
        this.success = null;
        this.fail = null;

        this.setListener();
    }
    setListener () {
        const callback = {
            GoldExchangeCallbackSuccess: "wz.gold.GoldExchangeSuccess",
            GoldExchangeCallbackFail: "wz.gold.GoldExchangeFail"
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzUserJSBridge', 'setGoldListenerJson', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }

    clearListener () {
        this.success = null;
        this.fail = null;
    }

    goldExchange (gold, success, fail) {
        console.log("WzGold  getMineInfo ");
        this.success = success;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzUserJSBridge', 'goldExchange', '(Ljava/lang/String;)V', gold + "");
        } catch (error) {
        }
    }

    GoldExchangeSuccess (gold) {
        console.log("WzGold  GoldExchangeSuccess :", gold);
        this.success && this.success(gold);
        this.clearListener();
    }

    GoldExchangeFail (error) {
        console.log("WzGold  GoldExchangeFail  error:", error);
        this.fail && this.fail(error);
        this.clearListener();
    }
}

class WzStat {
    constructor() {
        console.log("WzStat constructor");
        this.success = null;
        this.fail = null;

        this.setListener();
    }
    setListener () {
        const callback = {
            WZEventActionCallbackSuccess: "wz.stat.WZEventActionSuccess",
            WZEventActionCallbackFail: "wz.stat.WZEventActionFail"
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzStatJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
        }
    }

    clearListener () {
        this.success = null;
        this.fail = null;
    }

    addEventAction (eventId, value, success, fail) {
        console.log("WzStat  addEventAction eventId:" + eventId + "   value:" + value);
        this.success = success;
        this.fail = fail;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzStatJSBridge', 'addEventAction', '(ILjava/lang/String;)V', eventId,value);
        } catch (error) {
        }
    }

   eventStat(key,value,isUnRepeat) {
        console.log("WzStat  eventStat key:" + key + "   value:" + value);
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzStatJSBridge', 'eventStat', '(Ljava/lang/String;Ljava/lang/String;Z)V',key,value,isUnRepeat?isUnRepeat:false);
        } catch (error) {

        }
    }

    videoSuccReport () {
        console.log("WzStat  videoSuccReport");
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzStatJSBridge', 'videoSuccReport', '()V');
        } catch (error) {
        }
    }

    WZEventActionSuccess () {
        console.log("WzStat  WZEventActionSuccess");
        this.success && this.success();
        this.clearListener();
    }

    WZEventActionFail () {
        console.log("WzStat  WZEventActionFail");
        this.fail && this.fail();
        this.clearListener();
    }
}

class WzData {
    constructor() {
        console.log("WzData constructor");
        this.callback = null;
        this.userdynamiccallback = null;
        this.noticeCallbackSuccess = null;
        this.noticeCallbackFail = null;
        this.reportNoticeCallbackSuccess = null;
        this.reportNoticeCallbackFail = null;
        this.isRealNameCallbackSuccess = null;
        this.isRealNameCallbackFail = null;
        this.realNameAuthCallbackSuccess = null;
        this.realNameAuthCallbackFail = null;
        this.setListener();
    }

  setListener () {
        console.log("WzData  setListener");
        const callback = {
             DynamicChangeCallback: "wz.data.dynamicChangeCallback",
             UserDynamicCallback:"wz.data.userDynamicCallback",
             SplashNoticeCallbackSuccess:"wz.data.splashNoticeCallbackSuccess",
             SplashNoticeCallbackFail:"wz.data.splashNoticeCallbackFail",
             ReportNoticeCallbackSuccess:"wz.data.ReportNoticeCallbackSuccess",
             ReportNoticeCallbackFail:"wz.data.ReportNoticeCallbackFail",
             IsRealNameCallbackSuccess:"wz.data.isRealNameCallbackSuccess",
             IsRealNameCallbackFail:"wz.data.isRealNameCallbackFail",
             RealNameAuthCallbackSuccess:"wz.data.realNameAuthCallbackSuccess",
             RealNameAuthCallbackFail:"wz.data.realNameAuthCallbackFail"
       }
       try {
           jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
       } catch (error) {
       }
    }

    setDynamicChangeCallback(callback){
        this.callback = callback;
    }

    dynamicChangeCallback(data){
         console.log("WzData  dynamicChangeCallback");
         this.callback && this.callback(data);
    }

    getDynamicConfig () {
        console.log("WzData  getDynamicConfig");
        try {
            var config = jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'getDynamicConfig', '()Ljava/lang/String;');
                console.log("WzData  config:" + config);
            return config;
        } catch (error) {
            return '';
        }
    }
     getAdDisable () {
            console.log("WzData  getAdDisable");
            try {
                return jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'getAdDisable', '()Z');
            } catch (error) {
                 return false;
            }
        }

    userDynamicCallback(data){
      console.log("WzData  userDynamicCallback ==>" + data);
      this.userdynamiccallback && this.userdynamiccallback(data);
    }

     getUserDynamic (size,callback) {
            console.log("WzData  getUserDynamic");
            this.userdynamiccallback = callback;
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'getUserDynamic', '(I)V',size);
            } catch (error) {

            }
        }

     getSplashNotice (success, fail) {
         console.log("WzData  getSplashNotice start");
         this.noticeCallbackSuccess = success;
         this.noticeCallbackFail = fail;
         try {
             jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'getSplashNotice', '()V');
         } catch (error) {
         }
     }

     SplashNoticeCallbackSuccess (data) {
         console.log("WzData  SplashNoticeCallbackSuccess ");
         this.noticeCallbackSuccess && this.noticeCallbackSuccess(data);
         this.clearListener();
     }

     SplashNoticeCallbackFail (error) {
         console.log("WzData  SplashNoticeCallbackFail  error:", error);
         this.noticeCallbackFail && this.noticeCallbackFail(error);
         this.clearListener();
     }

     reportSplashNoticeStat (type, splashId, success, fail) {
          console.log("WzData  reportSplashNoticeStat start");
          this.reportNoticeCallbackSuccess = success;
          this.reportNoticeCallbackFail = fail;
          try {
              jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'reportSplashNoticeStat', '(I;I)V', type, splashId);
          } catch (error) {
          }
     }

     ReportNoticeCallbackSuccess () {
          console.log("WzData  ReportNoticeCallbackSuccess ");
          this.reportNoticeCallbackSuccess && this.reportNoticeCallbackSuccess(data);
          this.clearListener();
     }

     ReportNoticeCallbackFail (error) {
          console.log("WzData  ReportNoticeCallbackFail  error:", error);
          this.reportNoticeCallbackFail && this.reportNoticeCallbackFail(error);
          this.clearListener();
     }

     isRealName (success, fail) {
           console.log("WzData  isRealName start");
           this.isRealNameCallbackSuccess = success;
           this.isRealNameCallbackFail = fail;
           try {
               jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'isRealName', '()V');
           } catch (error) {
           }
      }

     IsRealNameCallbackSuccess (data) {
           console.log("WzData  IsRealNameCallbackSuccess ");
           this.isRealNameCallbackSuccess && this.isRealNameCallbackSuccess(data);
           this.clearListener();
     }

     IsRealNameCallbackFail (error) {
           console.log("WzData  IsRealNameCallbackFail  error:", error);
           this.isRealNameCallbackFail && this.isRealNameCallbackFail(error);
           this.clearListener();
     }

      certification (idCard, name, success, fail) {
          console.log("WzData  certification start");
          this.realNameAuthCallbackSuccess = success;
          this.realNameAuthCallbackFail = fail;
          try {
              jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzDataJSBridge', 'certification', '(Ljava/lang/String;Ljava/lang/String;)V', idCard, name);
          } catch (error) {
          }
      }

      RealNameAuthCallbackSuccess () {
          console.log("WzData  RealNameAuthCallbackSuccess ");
          this.realNameAuthCallbackSuccess && this.realNameAuthCallbackSuccess();
          this.clearListener();
      }

      RealNameAuthCallbackFail (error) {
          console.log("WzData  RealNameAuthCallbackFail  error:", error);
          this.realNameAuthCallbackFail && this.realNameAuthCallbackFail(error);
          this.clearListener();
      }

     clearListener () {
         this.callback = null;
         this.userdynamiccallback = null;
         this.noticeCallbackSuccess = null;
         this.noticeCallbackFail = null;
         this.reportNoticeCallbackSuccess = null;
         this.reportNoticeCallbackFail = null;
         this.isRealNameCallbackSuccess = null;
         this.isRealNameCallbackFail = null;
         this.realNameAuthCallbackSuccess = null;
         this.realNameAuthCallbackFail = null;
     }
}


class WzAd {
    constructor() {
        console.log("WzAd  constructor");
        this.onAdShown = null;
        this.onAdFailed = null;
        this.onAdClosed = null;
        this.onAdReward = null;
        this.setListener();
    }

    setListener () {
        const callback = {
            onAdShown: "wz.ad.onAdShown",
            onAdFailed: "wz.ad.onAdFailed",
            onAdClosed: "wz.ad.onAdClosed",
            onAdReward: "wz.ad.onAdReward"
        }
        try {
            jsb.reflection.callStaticMethod('org/cocos2dx/javascript/bridge/HZAdJSBridge', 'setListener', '(Ljava/lang/String;)V', JSON.stringify(callback));
        } catch (error) {
         console.log("WzAd  error " + error);
        }
    }

    clearListener () {
        this.onAdShown = null;
        this.onAdFailed = null;
        this.onAdClosed = null;
        this.onAdReward = null;
    }

    showRewardVideo (placeId,location,onAdShown, onAdFailed,onAdClosed,onAdReward) {
        console.log("WzAd  showRewardVideo start");
        this.onAdShown = onAdShown;
        this.onAdFailed = onAdFailed;
        this.onAdClosed = onAdClosed;
        this.onAdReward = onAdReward;
        console.log("WzAd  showRewardVideo start2");
        try {
        jsb.reflection.callStaticMethod('org/cocos2dx/javascript/bridge/HZAdJSBridge', 'showRewardVideo', '(Ljava/lang/String;Ljava/lang/String;)V',"26671",location);
        } catch (error) {
        console.log("WzAd  showRewardVideo start3");
        }
    }

   showFullVideo (placeId,location,onAdShown, onAdFailed,onAdClosed,onAdReward) {
        console.log("WzAd  showFullVideo start");
        this.onAdShown = onAdShown;
        this.onAdFailed = onAdFailed;
        this.onAdClosed = onAdClosed;
        this.onAdReward = onAdReward;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'showFullVideo', '(Ljava/lang/String;Ljava/lang/String;)V',placeId,location);
        } catch (error) {
        }
    }

   showInterstitial (placeId,location,onAdShown, onAdFailed,onAdClosed,onAdReward) {
        console.log("WzAd  showInterstitial start");
        this.onAdShown = onAdShown;
        this.onAdFailed = onAdFailed;
        this.onAdClosed = onAdClosed;
        this.onAdReward = onAdReward;
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'showInterstitial', '(Ljava/lang/String;Ljava/lang/String;)V',placeId,location);
        } catch (error) {
        }
    }

    setMixConfig (interstitialId,fullId,rewardId,interstitialNum,fullNum,rewardNum) {
            console.log("WzAd  setMixConfig start");
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'setMixConfig', '(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;III)V',interstitialId,fullId,rewardId,interstitialNum,fullNum,rewardNum);
            } catch (error) {
            }
   }
     showMix (location,onAdShown, onAdFailed,onAdClosed,onAdReward) {
            console.log("WzAd  showMix start");
            this.onAdShown = onAdShown;
            this.onAdFailed = onAdFailed;
            this.onAdClosed = onAdClosed;
            this.onAdReward = onAdReward;
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'showMix', '(Ljava/lang/String;)V',location);
            } catch (error) {
            }
   }

    showBanner (location) {
            console.log("WzAd  showBanner start");
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'showBanner', '(Ljava/lang/String;)V',location);
            } catch (error) {
            }
   }
   hideBanner () {
            console.log("WzAd  hideBanner start");
            try {
                jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZAdJSBridge', 'hideBanner', '()V');
            } catch (error) {
            }
   }

    onAdShown (adtype) {
        console.log("WzAd  onAdShown ");
        this.onAdShown && this.onAdShown();
    }
    onAdFailed (adtype) {
        console.log("WzAd  onAdFailed");
        this.onAdFailed && this.onAdFailed();
    }
    onAdClosed (adtype) {
        console.log("WzAd  onAdClosed");
        this.onAdClosed && this.onAdClosed();
    }
    onAdReward (adtype) {
        console.log("WzAd  onAdReward");
        this.onAdReward && this.onAdReward();
    }

}

console.log("WzSDK init");

window.wz = {
    open: (page) => {
        if (!page || page == "") {
            page = "CULLING";
        }
        try {
            jsb.reflection.callStaticMethod('com/hzwz/cocos/creator/bridge/HZWzEntryJSBridge', 'openWZSdk', '(Ljava/lang/String;)V', page);
        } catch (error) {
            console.log('wz open  error -->', JSON.stringify(error));
        }
    },
    login: new WzLogin(),
    gold: new WzGold(),
    user: new WzUser(),
    red: new WzRed(),
    page: new PageId(),
    stat: new WzStat(),
    float: new WzFloat(),
    data: new WzData(),
    ad: new WzAd(),
    dialog: new WzDialog(),
}